Subject: linux-next: manual merge of the drm-xe tree with the drm-fixes tree

From: Mark Brown <[email-masked]>
Date: Fri, 6 Dec 2024 12:55:33 +0000

Hi all,

Today's linux-next merge of the drm-xe tree got a conflict in:

  drivers/gpu/drm/xe/xe_devcoredump.c

between commit:

  5dce85fecb877 ("drm/xe: Move the coredump registration to the worker thread")

from the drm-fixes tree and commits:

  90f51a7f4ec10 ("drm/xe: Move the coredump registration to the worker thread")
  906c4b306e934 ("drm/xe: Add mutex locking to devcoredump")

from the drm-xe tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc drivers/gpu/drm/xe/xe_devcoredump.c
index f8947e7e917ec,71636e80b71da..0000000000000
--- a/drivers/gpu/drm/xe/xe_devcoredump.c
+++ b/drivers/gpu/drm/xe/xe_devcoredump.c